<div class="container" [ngClass]="{'container-side-bar':sidebar}" unselectable="on" onselectstart="return false;" [ngSwitch]="getHotkeyType()">
    <div *ngSwitchCase="0" style="position: relative;" [@rotatorVertical]="'in'">
        <button class="btn-action" *ngFor="let slot of player?.hotkeys?.default; let i = index" (click)="useSlot(slot)" (contextmenu)="editSlot(slot)" >
            <span class="thunder" *ngIf="slot.type > 0" [innerHtml]="getSlotIcon(slot)"></span>
            <span class="empty-slot" *ngIf="slot.type == 0" [innerHtml]="getSlotIcon(slot)"></span>
            <span class="key" *ngIf="i<9">{{i+1}}</span>
            <span class="key" *ngIf="i==9">0</span>
            <span class="btn-action_tooltip">{{getSlotDesc(slot)}}</span>
        </button>        
    </div>
    <div *ngSwitchCase="1" style="position: relative;" [@rotatorVertical]="'in'">
        <div class="tag-shift">shift</div>
        <button class="btn-action" *ngFor="let slot of player?.hotkeys?.shift; let i = index" (click)="useSlot(slot)" (contextmenu)="editSlot(slot)" >
            <span class="thunder" *ngIf="slot.type > 0" [innerHtml]="getSlotIcon(slot)"></span>
            <span class="empty-slot" *ngIf="slot.type == 0" [innerHtml]="getSlotIcon(slot)"></span>
            <span class="key" *ngIf="i<9">{{i+1}}</span>
            <span class="key" *ngIf="i==9">0</span>
            <span class="btn-action_tooltip">{{getSlotDesc(slot)}}</span>
        </button>
    </div>
    <div class="btn-resize">
        <button (click)="sidebar=!sidebar">↷</button>
    </div> 
    <!-- <div *ngSwitchCase="2" style="position: relative;" [@rotatorVertical]="'in'">
        <div class="tag-alt">alt</div>
        <button class="btn-action" *ngFor="let slot of player?.hotkeys?.alt; let i = index" (click)="useSlot(slot)" (contextmenu)="editSlot(slot)" >
            <span class="thunder" *ngIf="slot.type > 0" [innerHtml]="getSlotIcon(slot)"></span>
            <span class="empty-slot" *ngIf="slot.type == 0" [innerHtml]="getSlotIcon(slot)"></span>
            <span class="key" *ngIf="i<9">{{i+1}}</span>
            <span class="key" *ngIf="i==9">0</span>
            <span class="btn-action_tooltip">{{getSlotDesc(slot)}}</span>
        </button>
    </div> -->
</div>
<div class="container" unselectable="on" onselectstart="return false;" *ngIf="!gmBarHidden">
    <button class="btn-action" (click)="player.game.pause()"><span class="thunder">&#9995;</span></button>
    <button class="btn-action" (click)="addMonster()"><span class="pentagram">😈</span></button>
    <button class="btn-action" (click)="toggleMapedTiles()"><span class="pentagram">&#9962;</span></button>
    <button class="btn-action" (click)="toggleMapedMonsters()"><span class="pentagram">👻</span></button>
    <button class="btn-action" (click)="huds.performance = !huds.performance"><span class="pentagram">💹</span></button>
    <button class="btn-action" (click)="player.game.nightEffectManager.dayHour = 8"><span class="pentagram">🌞</span></button>
    <button class="btn-action" (click)="player.game.nightEffectManager.dayHour = 21"><span class="pentagram">🌜</span></button>
    <button class="btn-action" (click)="rain()"><span class="pentagram">☔</span></button>
    <button class="btn-action" (click)="earthquake()"><span class="pentagram">🌋</span></button>
    <button class="btn-action" (click)="normalizeHighLevel()"><span class="pentagram">🎮</span></button>
    <div style="position: absolute;
    right: 4px;
    top: 4px;
    font-family: sans-serif;
    color: #777777;
    font-weight: bold;
    font-size: 13px;
    text-align: right">🧙 GM Action Bar<br><div style="cursor: pointer;" (click)="gmBarHidden = true">(hide)</div></div> 
    <!-- 🧞 -->
</div>